Bug 84235 - CONTEXT MENU: Removal of 'Navigator'
Summary: CONTEXT MENU: Removal of 'Navigator'
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha0+ Master
Hardware: Other All
: medium enhancement
Assignee: Samuel Mehrbrodt (CIB)
URL:
Whiteboard: target:4.4.0
Keywords:
Depends on:
Blocks: ImpressDraw-Toolbars Impress-UX
  Show dependency treegraph
 
Reported: 2014-09-23 09:28 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-05-13 12:04 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-09-23 09:28:30 UTC
With the navigator button removed from standard toolbar and navigator being in the permanently opened sidebar, there isnt a need for this context menu entry.
Comment 1 Cor Nouws 2014-09-23 11:39:59 UTC
hmm... note that Slide > Slide lay out also opens a pane in the Side bar..
Comment 2 Yousuf Philips (jay) (retired) 2014-09-23 19:07:30 UTC
Yep i submitted a bug report for that one as well in bug 84233, but suggested it be turned into a slide layout submenu list. :)
Comment 3 Commit Notification 2014-09-25 21:49:58 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2e7f83e87907ec05b1f22e9ff1d8c681c94ece23

fdo#84235 Remove Navigator from Context menu



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Cor Nouws 2014-11-12 19:47:51 UTC
(In reply to Jay Philips from comment #0)
> With the navigator button removed from standard toolbar and navigator being
> in the permanently opened sidebar, there isnt a need for this context menu
> entry.

I would suggest the opposite: make it visible at least a bit :)
Note that - as far as I know - the Navigator is not in the side bar and not planned there too in at least Writer (thanks god)
Comment 5 Yousuf Philips (jay) (retired) 2014-11-12 20:46:21 UTC
(In reply to Cor Nouws from comment #4)
> I would suggest the opposite: make it visible at least a bit :)
> Note that - as far as I know - the Navigator is not in the side bar and not
> planned there too in at least Writer (thanks god)

I seem to be confused. The navigator is visible in the sidebar of impress, which is the limit of this bug.
Comment 6 Cor Nouws 2014-11-12 22:58:18 UTC
(In reply to Jay Philips from comment #5)

> I seem to be confused. The navigator is visible in the sidebar of impress,
> which is the limit of this bug.

Or me is confused. Hitting the usual Ctrl+Shift+F5 just opens it as before.
But I didn't look in the Side Bar, where it is too ..

Shall we have a discussion as in Writer wrt behaviour/placing of Stylist & Navigator?